Subject: Re: [PATCH net-next 2/4] ipv6: coding style - min to min_t conversion

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Wed, 03 Sep 2014 10:29:30 +0900

Hi,

Ian Morris wrote:
> This patch changes a min to min_t as per checkpatch recomendation.
> 
> No change in the object output is detected by the objdiff script.
> 
> Signed-off-by: Ian Morris <[email-masked]>
> ---
>   net/ipv6/addrconf.c |    7 +++++--
>   1 file changed, 5 insertions(+), 2 deletions(-)
> 
> diff --git a/net/ipv6/addrconf.c b/net/ipv6/addrconf.c
> index 509c53e..23d8493 100644
> --- a/net/ipv6/addrconf.c
> +++ b/net/ipv6/addrconf.c
> @@ -2320,8 +2320,11 @@ ok:
>   			else
>   				stored_lft = 0;
>   			if (!update_lft && !create && stored_lft) {
> -				const u32 minimum_lft = min(
> -					stored_lft, (u32)MIN_VALID_LIFETIME);
> +				const u32 minimum_lft = min_t(
> +							  u32,
> +							  stored_lft,
> +							  MIN_VALID_LIFETIME);
> +
>   				valid_lft = max(valid_lft, minimum_lft);
>   
>   				/* RFC4862 Section 5.5.3e:
> 

Please put 1st argument(u32) at the first line and make arguments aligned.

-- 
Hideaki Yoshifuji <[email-masked]>
Technical Division, MIRACLE LINUX CORPORATION